# Uses of Enum Class
org.eclipse.emf.cdo.explorer.checkouts.CDOCheckout.ObjectType

Packages that use CDOCheckout.ObjectType
Package
Description
org.eclipse.emf.cdo.explorer.checkouts
Interfaces for working with `checkouts`.

## Uses of CDOCheckout.ObjectType in org.eclipse.emf.cdo.explorer.checkouts

Methods in org.eclipse.emf.cdo.explorer.checkouts that return CDOCheckout.ObjectType
Modifier and Type
Method
Description
`CDOCheckout.ObjectType`
CDOCheckout.`getRootType()`
`static CDOCheckout.ObjectType`
CDOCheckout.ObjectType.`valueFor(Object object)`
`static CDOCheckout.ObjectType`
CDOCheckout.ObjectType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCheckout.ObjectType[]`
CDOCheckout.ObjectType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.